### Format of this file
#
# The top-level keys are directory names (under resources/lib/).
# They should match module names (as registered in Resources.php), but there are exceptions.
# Each top-level key holds a resource descriptor that must have one of
# the following `type` values:
#
# - `tar`: For tarball archive (may be gzip-compressed).
# - `file: For a plain file.
# - `multi-file`: For multiple plain files.
#
### Type tar
#
# The `src` and `integrity` keys are required.
#
# * `src`: Full URL to the remote resource.
# * `integrity`: Cryptographic hash (integrity metadata format per <https://www.w3.org/TR/SRI/>).
# * `dest`: An object mapping paths to files or directory from the remote resource to a destination
#    in the module directory. The value of key in dest may be omitted, which will extract the key
#    directly to the module directory.
#
### Type file
#
# The `src` and `integrity` keys are required.
#
# * `src`: Full URL to the remote resource.
# * `integrity`: Cryptographic hash (integrity metadata format per <https://www.w3.org/TR/SRI/>).
# * `dest`: The name of the file in the module directory. Default: Basename of URL.
#
### Type multi-file
#
# The `files` key is required.
#
# * `files`: An object mapping destination paths to an object containing `src` and `integrity`
#    keys.

CLDRPluralRuleParser:
  type: file
  src: https://raw.githubusercontent.com/santhoshtr/CLDRPluralRuleParser/0dda851/src/CLDRPluralRuleParser.js
  integrity: sha384-M4taeYYG2+9Ob1/La16iO+zlRRmBV5lBR3xUKkQT6kfkJ0aLbCi6yc0RYI1BDzdh

easy-deflate:
  type: multi-file
  files:
    deflate.js:
      src: https://raw.githubusercontent.com/edg2s/Easy-Deflate/7a6056e5302f6f385ff2efa60afda45b4ad81e51/deflate.js
      integrity: sha384-sHnZLDSWMUhA2w9ygkzCK8YFvoh/fQKY6lXMbvmrYzjuNURiLB0DZFCDNMpGyZ77
    easydeflate.js:
      src: https://raw.githubusercontent.com/edg2s/Easy-Deflate/7a6056e5302f6f385ff2efa60afda45b4ad81e51/easydeflate.js
      integrity: sha384-EwPfP2RMkDPa1HkzQsXgzTsy1KEjcIzQPA1HDS/JPHjvEMvVUsCxWwm1oXql/jk2
    inflate.js:
      src: https://raw.githubusercontent.com/edg2s/Easy-Deflate/7a6056e5302f6f385ff2efa60afda45b4ad81e51/inflate.js
      integrity: sha384-hMg44Hw424mUYvmzKl0JT4J8UU/1YYhTiGRtR0YX/MXNLK9qWTK0d62FBCDGxmxw
    README.md:
      src: https://raw.githubusercontent.com/edg2s/Easy-Deflate/7a6056e5302f6f385ff2efa60afda45b4ad81e51/README.md
      integrity: sha384-6kwcfCLivvqXBZy2ATyya+mTVWLk3eaQyBdC6tbpBtkygnBrM2SNkq3jz/l7IkvP

html5shiv:
  type: file
  src: https://raw.githubusercontent.com/aFarkas/html5shiv/3.7.3/src/html5shiv.js
  integrity: sha384-RPXhaTf22QktT8KTwZ6bUz/C+7CnccaIw5W/y/t0FW5WSDGj3wc3YtRIJC0w47in

jquery:
  type: file
  src: https://code.jquery.com/jquery-3.3.1.js
  # Integrity from link modals https://code.jquery.com/jquery/
  integrity: sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=
  dest: jquery.js

jquery.client:
  type: tar
  src: https://registry.npmjs.org/jquery-client/-/jquery-client-2.0.1.tgz
  integrity: sha256-tizJojJ55YYdKh67Zj/ho/9IAkDDA2UGKpcNvzn96Zs=
  dest:
    package/AUTHORS.txt:
    package/jquery.client.js:
    package/LICENSE-MIT:
    package/README.md:

jquery.cookie:
  type: multi-file
  files:
    jquery.cookie.js:
      src: https://raw.githubusercontent.com/carhartl/jquery-cookie/v1.3.1/jquery.cookie.js
      integrity: sha384-Xxq63E9KDgzUJ6WPNPqVeOtRIwZyx6y9DzEwY2u6LYKSnWrjSoGtWSKmTindYBf2
    MIT-LICENSE.txt:
      src: https://raw.githubusercontent.com/carhartl/jquery-cookie/v1.3.1/MIT-LICENSE.txt
      integrity: sha384-zYsGf3KJ7S0AhOICjcoh0kkn7aGZlzYUXXX5xz8dwR9KjLMM+/JPR2g/jVOGGeId
    CHANGELOG.md:
      src: https://raw.githubusercontent.com/carhartl/jquery-cookie/v1.3.1/CHANGELOG.md
      integrity: sha384-SQOHhLc7PHxHDQpGE/zv9XfXKL0A7OBu8kuyVDnHVp+zSoWyRw4xUJ+LSm5ql4kS

mustache:
  type: multi-file
  files:
    mustache.js:
      src: https://raw.githubusercontent.com/janl/mustache.js/v1.0.0/mustache.js
      integrity: sha384-k2UYqmzoiq/qgIzZvcYBxbXQW4YdPAsXDOTkHTGb9TCZ9sjCkyT4TlaUN0wQRkql
    LICENSE:
      src: https://raw.githubusercontent.com/janl/mustache.js/v1.0.0/LICENSE
      integrity: sha384-MYVwXwula9+YkyXexOJVZ0v0DaVvG22uX57mNq5Di+7u8OH9EG9q3yuXkp1Iehiq

oojs:
  type: tar
  src: https://registry.npmjs.org/oojs/-/oojs-2.2.2.tgz
  integrity: sha256-ebgQW2EGrSkBCnDJBGqDpsBDjA3PMN/M8U5DyLHt9mw=
  dest:
    package/dist/oojs.jquery.js:
    package/AUTHORS.txt:
    package/LICENSE-MIT:
    package/README.md:

ooui:
  type: tar
  src: https://registry.npmjs.org/oojs-ui/-/oojs-ui-0.29.2.tgz
  integrity: sha384-sYBaY9HjUuTergl7UakS9cb1W00Ve6nWSG5yc/txhK1ns0KC6XdTdLs+c26gVLY2
  dest:
    # Main stuff
    package/dist/oojs-ui-core.js{,.map.json}:
    package/dist/oojs-ui-core-{wikimediaui,apex}.css:
    package/dist/oojs-ui-widgets.js{,.map.json}:
    package/dist/oojs-ui-widgets-{wikimediaui,apex}.css:
    package/dist/oojs-ui-toolbars.js{,.map.json}:
    package/dist/oojs-ui-toolbars-{wikimediaui,apex}.css:
    package/dist/oojs-ui-windows.js{,.map.json}:
    package/dist/oojs-ui-windows-{wikimediaui,apex}.css:
    package/dist/oojs-ui-{wikimediaui,apex}.js{,.map.json}:
    package/dist/i18n:
    package/dist/images:
    # WikimediaUI theme
    package/dist/themes/wikimediaui/images/icons/*.{svg,png}: themes/wikimediaui/images/icons
    package/dist/themes/wikimediaui/images/indicators/*.{svg,png}: themes/wikimediaui/images/indicators
    package/dist/themes/wikimediaui/images/textures/*.{gif,svg}: themes/wikimediaui/images/textures
    package/src/themes/wikimediaui/*.json: themes/wikimediaui
    package/dist/wikimedia-ui-base.less:
    # Apex theme (icons, indicators, and textures)
    package/src/themes/apex/*.json: themes/apex
    # Misc stuff
    package/dist/AUTHORS.txt:
    package/dist/History.md:
    package/dist/LICENSE-MIT:
    package/dist/README.md:

qunitjs:
  type: multi-file
  # Integrity from link modals at https://code.jquery.com/qunit/
  files:
    qunit.js:
      src: https://code.jquery.com/qunit/qunit-2.6.2.js
      integrity: sha256-72OhbBvECs6Z5vG0GfPqiyYvTf8vhdEVHKQcacIcIeM=
    qunit.css:
      src: https://code.jquery.com/qunit/qunit-2.6.2.css
      integrity: sha256-qpkurjTvVTJJCSpMABcvF4IlYUJkd8saxiHgUQpEjX8=

sinonjs:
  type: file
  src: https://sinonjs.org/releases/sinon-1.17.7.js
  integrity: sha384-wR63Jwy75KqwBfzCmXd6gYws6uj3qV/XMAybzXrkEYGYG3AQ58ZWwr1fVpkHa5e8
  dest: sinon.js
